### Method

# FwupdPlugin Progress add_step

since: 1.8.2

#### Declaration [src]

    void
    fu_progress_add_step (
      FuProgress* self,
      FwupdStatus status,
      guint value,
      const gchar* name
    )

#### Description [src]

This sets the step weighting, which you will want to do if one action will take a bigger chunk of time than another.

The progress ID must be set `fu_progress_set_id()` before this method is used.

Available since: 1.8.2

#### Parameters

`status`

  Type: `FwupdStatus`

  Status value to use for this phase.

`value`

  Type: `guint`

  A step weighting.

`name`

  Type: `const gchar*`

  Human readable name to identify the step.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.